/* 
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 * * Based on code from meta-blur-effect.h in xorg-server. 
 * Copyright (c) 1997-2003 by The XFree86 Project, Inc.
 * This software is published by the license of CPU-OS License, you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
 */
/*
 * Copyright (C) 2010  Intel Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library. If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 *   Lei <leitong@cpu-os.ac.cn>
 */

#ifndef __META_BLUR_EFFECT_H__
#define __META_BLUR_EFFECT_H__

#include <clutter/clutter.h>

G_BEGIN_DECLS

#define META_TYPE_BLUR_EFFECT        (meta_blur_effect_get_type ())
#define META_BLUR_EFFECT(obj)        (G_TYPE_CHECK_INSTANCE_CAST ((obj), META_TYPE_BLUR_EFFECT, MetaBlurEffect))
#define META_IS_BLUR_EFFECT(obj)     (G_TYPE_CHECK_INSTANCE_TYPE ((obj), META_TYPE_BLUR_EFFECT))

/**
 * MetaBlurEffect:
 *
 * #MetaBlurEffect is an opaque structure
 * whose members cannot be accessed directly
 *
 */
typedef struct _MetaBlurEffect       MetaBlurEffect;
typedef struct _MetaBlurEffectClass  MetaBlurEffectClass;

GType meta_blur_effect_get_type (void) G_GNUC_CONST;

ClutterEffect *meta_blur_effect_new (guint radius);

void meta_blur_effect_set_radius (MetaBlurEffect *effect, guint radius);

G_END_DECLS

#endif /* __META_BLUR_EFFECT_H__ */
